Get the firewall configuration for a VPS instance
curl --request GET \
--url https://api.storiza.store/vps/{vmId}/firewall \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps/{vmId}/firewall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vmId}/firewall"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Firewall configuration retrieved successfully",
"data": {
"enabled": true,
"inboundPolicy": "allow",
"outboundPolicy": "allow",
"rules": [
{
"id": 123,
"type": "inbound",
"protocol": "tcp",
"action": "allow",
"enabled": true,
"port": "<string>",
"source": "<string>",
"destination": "<string>",
"comment": "<string>"
}
]
}
}Server firewall
Get the firewall configuration for a VPS instance
Reads the VPS firewall state live from the hypervisor: whether the firewall is enabled, the default inbound/outbound policies, and the list of rules.
Required API key permission: vps:read
GET
/
vps
/
{vmId}
/
firewall
Get the firewall configuration for a VPS instance
curl --request GET \
--url https://api.storiza.store/vps/{vmId}/firewall \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps/{vmId}/firewall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vmId}/firewall"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Firewall configuration retrieved successfully",
"data": {
"enabled": true,
"inboundPolicy": "allow",
"outboundPolicy": "allow",
"rules": [
{
"id": 123,
"type": "inbound",
"protocol": "tcp",
"action": "allow",
"enabled": true,
"port": "<string>",
"source": "<string>",
"destination": "<string>",
"comment": "<string>"
}
]
}
}Authorizations
An API key from the Storiza dashboard (API & Integrations), sent as Authorization: Bearer stz_….
Path Parameters
Minimum string length:
1Was this page helpful?